KDE 4.4 PyKDE API Reference

- KDE's Python API

# GeoDataLatLonBox Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataObject → Marble.GeoNode
Subclasses: Marble.GeoDataLatLonAltBox
Namespace: Marble.GeoDataLatLonBox

## Detailed Description

A class that defines a 2D bounding box for geographic data.

GeoDataLatLonBox is a 2D bounding box that describes a geographic area in terms of latitude and longitude.

The bounding box gets described by assigning the northern, southern, eastern and western boundary. So usually the value of the eastern boundary is bigger than the value of the western boundary.

This is also true if the GeoDataLatLonBox covers the whole longitude range from 180 deg West to 180 deg East. Notably in this case the bounding box crosses the date line.

If the GeoDataLatLonBox does not cover the whole longitude range but still crosses the date line then the eastern boundary has got a smaller value than the western one.

## Methods

| __init__ (self)
| __init__ (self, float north, float south, float east, float west, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
| __init__ (self, Marble.GeoDataLatLonBox a0)
| boundaries (self, float north, float south, float east, float west, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
Marble.GeoDataCoordinates | center (self)
bool | contains (self, Marble.GeoDataPoint a0)
bool | contains (self, Marble.GeoDataCoordinates a0)
bool | contains (self, Marble.GeoDataLatLonBox a0)
bool | containsPole (self, Marble.Pole pole=Marble.AnyPole)
bool | crossesDateLine (self)
float | east (self, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
Marble.GeoDataLatLonBox | fromLineString (self, Marble.GeoDataLineString lineString)
float | height (self, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
bool | intersects (self, Marble.GeoDataLatLonBox a0)
bool | isNull (self)
QString | nodeType (self)
float | north (self, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
| pack (self, QDataStream stream)
float | rotation (self, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
| setBoundaries (self, float north, float south, float east, float west, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
| setEast (self, float east, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
| setNorth (self, float north, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
| setRotation (self, float rotation, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
| setSouth (self, float south, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
| setWest (self, float west, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
float | south (self, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
QString | toString (self, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
| unpack (self, QDataStream stream)
float | west (self, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
float | width (self, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | float | north,
|  | float | south,
|  | float | east,
|  | float | west,
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

__init__ | ( | self, |
|  | Marble.GeoDataLatLonBox | a0
| ) |  |  |

boundaries | ( | self, |
|  | float | north,
|  | float | south,
|  | float | east,
|  | float | west,
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

Marble.GeoDataCoordinates center | ( |  | self ) |

returns the center of this box

Returns:
  a coordinate, face-center of the box

bool contains | ( | self, |
|  | Marble.GeoDataPoint | a0
| ) |  |  |

bool contains | ( | self, |
|  | Marble.GeoDataCoordinates | a0
| ) |  |  |

bool contains | ( | self, |
|  | Marble.GeoDataLatLonBox | a0
| ) |  |  |

bool containsPole | ( | self, |
|  | Marble.Pole | pole=Marble.AnyPole
| ) |  |  |

Detect whether the bounding box contains one of the poles.

Returns:
  true the bounding box contains one of the poles.

false the bounding box doesn't contain one of the poles.

bool crossesDateLine | ( |  | self ) |

Detect whether the bounding box crosses the IDL.

Returns:
  true the bounding box crosses the +/-180 deg longitude.

false the bounding box doesn't cross the +/-180 deg longitude.

float east | ( | self, |
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

Get the eastern boundary of the bounding box.

Returns:
  the longitude of the eastern boundary.

Marble.GeoDataLatLonBox fromLineString | ( | self, |
|  | Marble.GeoDataLineString | lineString
| ) |  |  |

Create the smallest bounding box from a line string.

Returns:
  the smallest bounding box that contains the linestring.

float height | ( | self, |
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

Get the height of the latitude interval

Returns:
  the angle covered by the latitude range.

bool intersects | ( | self, |
|  | Marble.GeoDataLatLonBox | a0
| ) |  |  |

bool isNull | ( |  | self ) |

Indicates whether the bounding box only contains a single 2D point ("singularity").

Returns:
  Return value is true if the height and the width of the bounding box equal zero.

QString nodeType | ( |  | self ) |

float north | ( | self, |
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

Get the northern boundary of the bounding box.

Returns:
  the latitude of the northern boundary.

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

float rotation | ( | self, |
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

Get the rotation of the bounding box.

Returns:
  the rotation of the bounding box.

setBoundaries | ( | self, |
|  | float | north,
|  | float | south,
|  | float | east,
|  | float | west,
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

setEast | ( | self, |
|  | float | east,
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

setNorth | ( | self, |
|  | float | north,
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

setRotation | ( | self, |
|  | float | rotation,
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

setSouth | ( | self, |
|  | float | south,
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

setWest | ( | self, |
|  | float | west,
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

float south | ( | self, |
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

Get the southern boundary of the bounding box.

Returns:
  the latitude of the southern boundary.

QString toString | ( | self, |
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

Creates a text string of the bounding box

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

float west | ( | self, |
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

Get the western boundary of the bounding box.

Returns:
  the longitude of the western boundary.

float width | ( | self, |
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

Get the width of the longitude interval

Returns:
  the angle covered by the longitude range.